Loading...
Searching...
No Matches
maps.h File Reference
Concepts » Map Concepts
`#include <lemon/core.h>`
`#include <lemon/concept_check.h>`

## Classes

class | ReadMap< K, T >
| Readable map concept. More...
class | WriteMap< K, T >
| Writable map concept. More...
class | ReadWriteMap< K, T >
| Read/writable map concept. More...
class | ReferenceMap< K, T, R, CR >
| Dereferable map concept. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.
namespace | lemon::concepts
| The namespace of LEMON concepts and concept checking classes.